libetonyek::IWORKHeaderFooterContext Class Reference documentation

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKHeaderFooterContext Class Reference

`#include <IWORKHeaderFooterContext.h>`

Inheritance diagram for libetonyek::IWORKHeaderFooterContext:

## Public Types
typedef boost::function< void(const std::string &)> | CollectFunction_t

## Public Member Functions
| IWORKHeaderFooterContext (IWORKXMLParserState &state, const CollectFunction_t &collect)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
virtual void | startOfElement ()
virtual void | attribute (int name, const char *value)
virtual IWORKXMLContextPtr_t | element (int name)
virtual void | endOfElement ()

## Private Attributes
const CollectFunction_t | m_collect
boost::optional< std::string > | m_name

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Member Typedef Documentation

## ◆ CollectFunction_t

typedef boost::function<void(const std::string &)> libetonyek::IWORKHeaderFooterContext::CollectFunction_t

## Constructor & Destructor Documentation

## ◆ IWORKHeaderFooterContext()

libetonyek::IWORKHeaderFooterContext::IWORKHeaderFooterContext | ( | IWORKXMLParserState & | state,
|  | const CollectFunction_t & | collect
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKHeaderFooterContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| privatevirtual

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKHeaderFooterContext::element | ( | int | name | ) |
| privatevirtual

## ◆ endOfElement()

void libetonyek::IWORKHeaderFooterContext::endOfElement | ( |  | ) |
| privatevirtual

## ◆ startOfElement()

void libetonyek::IWORKHeaderFooterContext::startOfElement | ( |  | ) |
| privatevirtual

## Member Data Documentation

## ◆ m_collect

const CollectFunction_t libetonyek::IWORKHeaderFooterContext::m_collect
| private

Referenced by endOfElement().

## ◆ m_name

boost::optional<std::string> libetonyek::IWORKHeaderFooterContext::m_name
| private

Referenced by attribute(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKHeaderFooterContext.h
- IWORKHeaderFooterContext.cpp